/*
  File utilizzato per la sola sezione hero della home.
*/

/* ======================================== */
/* ======================================== */
/* ========== Stagione teatrale. ========== */
/* ======================================== */
/* ======================================== */

*{
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body{
  background-color: #fff;
  overflow-x: hidden;
  -webkit-font-smoothing: antialiased;
}

main{
  margin-bottom: 80px;
}

#hero{
  position: relative;
  padding-top: 150px;
  padding-left: 80px;
  padding-right: 80px;
  padding-bottom: 80px;
  width: 100%;
  background-image: url("../../../Immagini/Home/Malmanew.avif"), url("../../../Immagini/Home/Malmanew.webp"), url("../../../Immagini/Home/Malmanew.jpg"), url("../../Immagini/Home/Malmanew.png");
  background-size: cover;
  background-attachment: fixed;
  background-color: #111;
}

#hero > img{
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  object-fit: cover;
  z-index: -1;
}

@media screen and (max-width: 700px){
  #hero{
    padding-left: 50px;
    padding-right: 50px;
  }
}

@media screen and (max-width: 550px){
  #hero{
    padding-top: 120px;
    padding-left: 25px;
    padding-right: 25px;
  }
}

@media screen and (max-width: 400px){
  #hero{
    padding-top: 100px;
  }
}

/* ======================================= */

.container{
  margin: auto;
}

/* ======================================= */

.containerTeatro{
  /* margin-bottom: 150px; */
  margin-bottom: 14vw;
  color: #fff;
}

.containerTeatro h1{
  font-size: 3.5vw;
  margin-bottom: 2vw;
  animation-name: slideDownH1;
  animation-duration: 1.5s;
  /* animation-delay: .2s; */
  /* animation-iteration-count: number; */
  animation-direction: normal;
  animation-timing-function: cubic-bezier(.21,.51,.41,1.02);
  animation-fill-mode: forwards;
}

@keyframes slideDownH1{
  from{
    transform: translateY(-80px);
    opacity: 0;
  }

  to{
    transform: translateY(0);
    opacity: 1;
  }
}

.containerTeatro h1 > span{
  font-size: 2.8vw;
}

.containerTeatro h1 > span > span{
  color: #39f;
  font-weight: bold;
}

@media screen and (max-width: 750px){
  .containerTeatro > h1{
    font-size: 5vw;
  }

  .containerTeatro h1{
    margin-bottom: 7vw;
  }

  .containerTeatro h1 > span{
    font-size: 3.8vw;
  }
}

@media screen and (max-width: 500px){
  .containerTeatro{
    margin-bottom: 20vw;
  }

  .containerTeatro h1{
    font-size: 6vw;
  }

  .containerTeatro h1 > span{
    font-size: 5vw;
  }
}

/* ======================================= */

.titoloStagione{
  height: auto;
  font-size: 7vw;
  font-weight: bold;
  line-height: 1;
  margin-bottom: 4vw;
}

.titoloStagione > div{
  animation-name: slideLeft;
  animation-duration: 1.5s;
  animation-direction: normal;
  animation-timing-function: cubic-bezier(.21,.51,.41,1.02);
  animation-fill-mode: forwards;
}

@keyframes slideLeft{
  from{
    transform: translateX(-50px);
    opacity: 0;
  }

  to{
    transform: translateX(0);
    opacity: 1;
  }
}

/*
.titoloStagione > div:last-child{
  animation-name: slideRight;
  animation-duration: 1.5s;
  animation-direction: normal;
  animation-timing-function: cubic-bezier(.21,.51,.41,1.02);
  animation-fill-mode: forwards;
}

@keyframes slideRight{
  from{
    transform: translateX(50px);
    opacity: 0;
  }

  to{
    transform: translateX(0);
    opacity: 1;
  }
}
*/

.titoloStagione i{
  /* font-style: italic; */
  font-size: 5vw;
}

.titoloStagione span{
  color: #39f;
}

@media screen and (max-width: 750px){
  .titoloStagione{
    font-size: 9vw;
  }

  .titoloStagione i{
    font-size: 7vw;
  }
}

@media screen and (max-width: 650px){
  .titoloStagione{
    margin-bottom: 10vw;
  }
}

@media screen and (max-width: 350px){
  .titoloStagione{
    margin-bottom: 12vw;
  }
}

/* ======================================= */

.containerTeatro .logoTeatro{
  display: flex;
  flex-wrap: wrap;
  align-items: baseline;
  gap: 1.5vw;
  margin-bottom: 30px;
}

.containerTeatro .logoTeatro > img{
  height: 3vw;
}

.containerTeatro .logoTeatro > div{
  font-size: 3vw;
}

@media screen and (max-width: 900px){
  .containerTeatro .logoTeatro > img{
    height: 4vw;
  }
}

@media screen and (max-width: 750px){
  .containerTeatro .logoTeatro > img{
    height: 5vw;
  }

  .containerTeatro .logoTeatro > div{
    font-size: 4vw;
  }
}

@media screen and (max-width: 500px){
  .containerTeatro .logoTeatro > img{
    height: 7vw;
  }

  .containerTeatro .logoTeatro > div{
    font-size: 6vw;
  }
}

/* ======================================= */

.collaborazioni{
  max-width: 400px;
  /* width: fit-content; */
  display: flex;
  flex-wrap: wrap;
  column-gap: 20px;
  justify-content: space-between;
  /* gap: 50px; */
  padding: 10px;
  /* border-top: 1px solid #094067; */
  /* border-bottom: 1px solid #094067; */
  border-top: 1px solid #aaa;
  border-bottom: 1px solid #aaa;
  background-color: rgba(120, 120, 120, .2);
  margin-bottom: 40px;
}

.collaborazioni > div, .collaborazioni > a{
  display: inline-block;
}

.collaborazioni img{
  height: 40px;
}

.collaborazioni > a > img{
  transition-duration: .5s;
  transition-property: transform;
  transition-timing-function: ease;
}

.collaborazioni > a > img:hover{
  transform: scale(1.05);
}

@media screen and (max-width: 420px){
  .collaborazioni{
    width: fit-content;
    padding: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    column-gap: 0;
    row-gap: 20px;
    justify-content: left;
  }

  .collaborazioni > div, .collaborazioni > a{
    width: 50%;
    display: flex;
    justify-content: center;
  }
}

/* ======================================= */

.linkSocialHero{
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 400px;
}

.btn{
  padding: 10px 20px;
  background-color: #0ef;
  border-radius: 100px;
  box-shadow: none;
  font-size: 14px;
  text-decoration: none;
  color: #323946;
  font-weight: bold;
  transition-duration: .8s;
  transition-property: box-shadow, color;
  transition-timing-function: ease;
}

.btn:hover{
  box-shadow: 0 0 20px #0ef;
  color: #fff;
}

.socialHeroStagione{
  /* height: 50px; */
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.socialHeroStagione > a{
  height: 40px;
  width: 40px;
  background-color: #0877f0;
  border-radius: 5px;
  box-shadow: none;
  transition-duration: .5s;
  transition-property: box-shadow, background-color;
  transition-timing-function: ease;
}

.socialHeroStagione > a:hover{
  background-color: #0ef;
  box-shadow: 0 0 20px #0ef;
}

.socialHeroStagione > a:first-child{
  margin-right: 20px;
}

.socialHeroStagione > a > img{
  height: 100%;
}

@media screen and (max-width: 400px){
  .linkSocialHero{
    display: block;
  }

  .btn{
    display: inline-block;
    margin-bottom: 25px;
  }
}




/* ========================================= */
/* ========================================= */
/* ========== Stagione didattica. ========== */
/* ========================================= */
/* ========================================= */

.containerScuola{
  max-width: 600px;
  margin: auto;
  color: #0ef;
}

/* =================================== */

/* .containerScuola > .didatticaTitle{
  max-width: 400px;
  font-size: 106px;
  line-height: .9;
  font-weight: bold;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 100px;
  padding: 0 10px 15px 15px;
  border-left: 10px solid #0ef;
  border-bottom: 10px solid #0ef;
  border-bottom-left-radius: 50px;
}

.containerScuola > .didatticaTitle > div:last-child{
  width: fit-content;
  margin-left: auto;
  color: #fff;
} */

.containerScuola > .didatticaTitle{
  /* height: 150px; */
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 60px;
  padding: 25px;
  height: 200px;
  border-radius: 20px;
  background-color: rgba(0, 0, 0, .4);
  box-shadow: inset 1px 0px 27px 5px rgba(0, 0, 0, .85);
}

.containerScuola > .didatticaTitle > img{
  height: 100%;
}

@media screen and (max-width: 1000px){
  .containerScuola > .didatticaTitle{
    max-width: 300px;
    font-size: 80px;
    margin-bottom: 80px;
  }

  .containerScuola > .didatticaTitle > div:last-child::before{
    bottom: -20px;
  }
}

@media screen and (max-width: 600px){
  .containerScuola > .didatticaTitle{
    max-width: 200px;
    font-size: 52px;
  }

  .containerScuola > .didatticaTitle > div:last-child::before{
    height: 4px;
    border-radius: 2px;
  }
}

@media screen and (max-width: 400px){
  .containerScuola > .didatticaTitle{
    max-width: 150px;
    font-size: 40px;
    margin-bottom: 60px;
  }

  .containerScuola > .didatticaTitle > div:last-child::before{
    bottom: -15px;
  }
}

/* =================================== */

.didatticaTxt{
  /* color: #0ef; */
  margin-bottom: 50px;
}

.didatticaTxt > h2{
  font-size: 36px;
  margin-bottom: 20px;
}

.didatticaTxt > div{
  margin-bottom: 20px;
}

/* =================================== */

.offerteCorsi{
  display: flex;
  flex-wrap: wrap;
  /* color: #0ef; */
  justify-content: space-around;
  row-gap: 20px;
  margin-bottom: 40px;
}

@media screen and (max-width: 700px){
  .offerteCorsi{
    max-width: 300px;
    margin-left: auto;
    margin-right: auto;
  }
}

@media screen and (max-width: 370px){
  .offerteCorsi{
    max-width: 150px;
    /* margin-left: auto; */
    /* margin-right: auto; */
    justify-content: center;
  }
}

.corso{
  display: flex;
  flex-wrap: wrap;
  width: 110px;
  flex-direction: column;
  align-items: center;
  row-gap: 20px;
  column-gap: 20px;
}

.corso > a{
  position: relative;
  display: block;
  height: 100px;
  width: 100px;
  border: 2px solid #0ef;
  border-radius: 50%;
  overflow: hidden;
  transition: .5s box-shadow ease;
}

.corso > a:hover{
  box-shadow: 0 0 20px #0ef;
}

.corso > a > img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.corso > div{
  text-align: center;
}

@media screen and (max-width: 400px){
  .corso{
    row-gap: 10px;
  }
}

/* =================================== */

.socialHeroDidattica{
  /* height: 50px; */
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 25px;
}

.socialHeroDidattica > a{
  width: 40px;
  height: 40px;
  background-color: #0877f0;
  border-radius: 5px;
  box-shadow: none;
  transition: .5s box-shadow ease,  .5s background-color ease;
}

.socialHeroDidattica > a:hover{
  background-color: #0ef;
  box-shadow: 0 0 20px #0ef;
}

.socialHeroDidattica > a > img{
  height: 100%;
}
